package net.northking.cctp.executePlan.dto.planTask;

import java.io.Serializable;
import java.util.Map;

/**
 * <p>Title: AtuTaskExecDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/08
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class AtuTaskExecDto implements Serializable {

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 系统ID
     */
    private String projectId;

    /**
     * 计划ID
     */
    private String planId;

    /**
     * 批次ID
     */
    private String batchId;

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 用例ID
     */
    private String caseId;

    /**
     * 用例类型
     */
    private String caseType;

    /**
     * 脚本地址
     */
    private String scriptPath;

    /**
     * 用例参数
     */
    private Map<String, Object> caseParams;

    /**
     * 应用设置;1-清除数据，2-卸载安装
     */
    private String appSet;
    /**
     * 录屏设置;0-不保存，1-全部保存，2-出错保存
     */
    private String screenRecordSet;
    /**
     * 截图设置;0-不保存，1-全部保存，2-出错保存
     */
    private String screenshotSet;

    /**
     * 失败重试次数
     */
    private Integer failRetryNum;
    /**
     * 失败重试策略<br>
     */
    private String retryStrategy;
    /**
     * 应用ID
     */
    private String appId;

    /**
     * 环境id
     */
    private String envId;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId;
    }

    public String getCaseType() {
        return caseType;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public String getScriptPath() {
        return scriptPath;
    }

    public void setScriptPath(String scriptPath) {
        this.scriptPath = scriptPath;
    }

    public Map<String, Object> getCaseParams() {
        return caseParams;
    }

    public void setCaseParams(Map<String, Object> caseParams) {
        this.caseParams = caseParams;
    }

    public String getAppSet() {
        return appSet;
    }

    public void setAppSet(String appSet) {
        this.appSet = appSet;
    }

    public String getScreenRecordSet() {
        return screenRecordSet;
    }

    public void setScreenRecordSet(String screenRecordSet) {
        this.screenRecordSet = screenRecordSet;
    }

    public String getScreenshotSet() {
        return screenshotSet;
    }

    public void setScreenshotSet(String screenshotSet) {
        this.screenshotSet = screenshotSet;
    }

    public Integer getFailRetryNum() {
        return failRetryNum;
    }

    public void setFailRetryNum(Integer failRetryNum) {
        this.failRetryNum = failRetryNum;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }

    public String getRetryStrategy() {
        return retryStrategy;
    }

    public void setRetryStrategy(String retryStrategy) {
        this.retryStrategy = retryStrategy;
    }
}
